import yfinance as yf

# 获取股票数据
stock = yf.Ticker("MET")

# 获取资产负债表数据
balance_sheet = stock.balance_sheet

# 获取报告日期
report_dates = balance_sheet.index
print(report_dates)

# 获取现金流量表数据
cashflow_statement = stock.cashflow

# 获取利润表数据
income_statement = stock.financials

print(balance_sheet)
print(cashflow_statement)
print(income_statement)


# import yfinance as yf
#
# # 获取股票数据
# stock = yf.Ticker("AAPL")
#
# # 获取历史价格数据
# historical_prices = stock.history(period="max")
#
# # 获取市值数据
# market_cap = stock.info["marketCap"]
#
# print(historical_prices)
# print(market_cap)

# import yfinance as yf
#
# # 获取股票数据
# stock = yf.Ticker("AAPL")
#
# # 获取历史价格数据
# historical_prices = stock.history(period="max")
#
# # 获取市值数据
# market_cap = stock.info["marketCap"]
#
# print(historical_prices)
# print(market_cap)


